curl --request POST \
--url https://api.example.com/api/v1/contract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 123,
"name": "USDT contract",
"address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"category": "<string>",
"abi": [
{}
],
"addressType": "CONTRACT",
"amlRequired": false,
"icon": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v1/contract"
payload = {
"projectId": 123,
"name": "USDT contract",
"address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"category": "<string>",
"abi": [{}],
"addressType": "CONTRACT",
"amlRequired": False,
"icon": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 123,
name: 'USDT contract',
address: '0xdac17f958d2ee523a2206206994597c13d831ec7',
category: '<string>',
abi: [{}],
addressType: 'CONTRACT',
amlRequired: false,
icon: '<string>',
tags: ['<string>']
})
};
fetch('https://api.example.com/api/v1/contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"projectId": 123,
"chainUid": "arbitrum",
"address": "<string>",
"implementation": "<string>",
"name": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"addressType": "CONTRACT",
"amlRequired": true,
"icon": "<string>"
}create entity
Authorizations
Authentication
Body
The project ID associated with the extractor contract
Name for the entity
\S"USDT contract"
Network uid that associated with extractor contract
arbitrum, bsc, bsc_testnet, ethereum, linea, optimism, base, base_sepolia, gnosis, fantom, polygon, polygon_amoy, blast, zksync, scroll, avalanche, avalanche_fuji, telos, sepolia, holesky, ethereum_sepolia, ethereum_holesky, tron, zeta, somnia, adi, anvil, icp, vechain, stellar, bitcoin, solana The direct address of the extractor contract
"0xdac17f958d2ee523a2206206994597c13d831ec7"
Contract category
Contract abi, example: [{"input": "source"}] (We are using it as a main contract abi, even if the address is a proxy contract address)
Show child attributes
Show child attributes
The type of a provided address, could be "Contract" or "Wallet"
CONTRACT, WALLET, ENTITY "CONTRACT"
If the AML detector required for this contract. Default: false
A URL of an icon for the contract
Contract tags
Response
OK
Unique identifier of the entity
1
Time when entity was created
Time when entity was updated
The project ID associated with the extractor contract
Network uid that associated with extractor contract
arbitrum, bsc, bsc_testnet, ethereum, linea, optimism, base, base_sepolia, gnosis, fantom, polygon, polygon_amoy, blast, zksync, scroll, avalanche, avalanche_fuji, telos, sepolia, holesky, ethereum_sepolia, ethereum_holesky, tron, zeta, somnia, adi, anvil, icp, vechain, stellar, bitcoin, solana The direct address of the extractor contract
Implementation address associated with the extractor contract, not null means this is a proxy contract
Name for the entity
Contract category
Contract tags
The type of a provided address, could be "Contract" or "Wallet"
CONTRACT, WALLET, ENTITY If the AML detector required for this contract. Default: false
A URL of an icon for the contract